/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : May. 2007

 File          : master.c

 Hardware      : Applicable to ADuC702x rev H or I silicon
                 Currently targetting ADuC7028.

 Description   : SPI master	to demonstrate with slave.c or slave1.c
		
*********************************************************************/


#include<ADuC7028.h>

unsigned char results[30] = {0x01, 0x02, 0x03, 0x04, 0x05, 0x06,
	0x07, 0x08, 0x09, 0x0A, 0x0B, 0x0C, 0x0D, 0x0E, 0x0F, 0x10,
	0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18, 0x19, 0x20,
	0x21, 0x22, 0x23, 0x24};

int main(void) {
	int i = 0;

	GP1CON = 0x22220000;				// configure SPI on SPM
	SPIDIV = 0xCC;						// set SPI clock 40960000/(2x(1+SPIDIV))
										// 0xCC = 100kHz
	SPICON = 0x104B;					// enable SPI master in continuous transfer mode 
										// slave select will stay low during the all transmission
	for (i=0;i<30;i++)
	{
		SPITX = results[i];				  // transmit command or any dummy data
 		while ((SPISTA & 0x02) != 0x02) ; // wait for data received status bit
	}   
while (1){}
}
